package cn.com.countrygarden.bi.main.model.wcx;

import java.util.Date;

public class WcxReview {
    private String reviewId; // varchar(36) NOT NULL COMMENT '评论表主键',
    private String reviewContent; // varchar(1000) NULL DEFAULT NULL COMMENT '评论内容',
    private String userId; // varchar(36) NULL DEFAULT NULL COMMENT '用户表主键',
    private String innovationId; // varchar(36) NULL DEFAULT NULL COMMENT '项目表主键',
    private String status; // char(1) NULL DEFAULT NULL COMMENT '状态(0:未启用,1:启用)',
    private Date createDate; // datetime NULL DEFAULT NULL COMMENT '创建时间',

    public String getReviewId() {
        return reviewId;
    }

    public void setReviewId(String reviewId) {
        this.reviewId = reviewId;
    }

    public String getReviewContent() {
        return reviewContent;
    }

    public void setReviewContent(String reviewContent) {
        this.reviewContent = reviewContent;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getInnovationId() {
        return innovationId;
    }

    public void setInnovationId(String innovationId) {
        this.innovationId = innovationId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public WcxReview(){}

    public WcxReview(String reviewId, String reviewContent, String userId, String innovationId, String status, Date createDate) {
        this.reviewId = reviewId;
        this.reviewContent = reviewContent;
        this.userId = userId;
        this.innovationId = innovationId;
        this.status = status;
        this.createDate = createDate;
    }
}
